
From: Martin Hicks <mort@wildopensource.com>

A compile fix.  I suspect this is only needed when NR_CPUS is large enough
to use the pass-by-reference cpumask_t.



---

 25-akpm/kernel/kthread.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN kernel/kthread.c~kthread-affinity-fix-fix kernel/kthread.c
--- 25/kernel/kthread.c~kthread-affinity-fix-fix	Mon Feb 16 12:46:51 2004
+++ 25-akpm/kernel/kthread.c	Mon Feb 16 12:46:51 2004
@@ -34,6 +34,7 @@ static int kthread(void *_create)
 	void *data;
 	sigset_t blocked;
 	int ret = -EINTR;
+	cpumask_t mask = CPU_MASK_ALL;
 
 	/* Copy data: it's on keventd's stack */
 	threadfn = create->threadfn;
@@ -45,7 +46,7 @@ static int kthread(void *_create)
 	flush_signals(current);
 
 	/* By default we can run anywhere, unlike keventd. */
-	set_cpus_allowed(current, CPU_MASK_ALL);
+	set_cpus_allowed(current, mask);
 
 	/* OK, tell user we're spawned, wait for stop or wakeup */
 	__set_current_state(TASK_INTERRUPTIBLE);

_
